.tgpoint--user-invite-popup {
  position: absolute;
  top: 90px;
  left: 0;
  width: 100%;
  z-index: 600;

  background-image: linear-gradient(-135deg, #ECECEC 0%, #FFFFFF 100%);
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.24);
  border-radius: 4px;

  hr.line-separator {
    background: rgba(0,0,0,0.12);
    height: 2px;
    border: none;
    margin: 0;
  }

  .tgpoint--invite-blank-line {
    background: #FFFFFF;
    width: 100%;
    height: 24px;
  }

  .tgpoint--invite-head {
    display: flex;
    flex-direction: row;
    align-items: center;

    background: #4FC1E9;
    padding: 12px 0 12px 16px;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;

    .avatar {}
    .title {
      font-family: $Rubik-Font;
      font-weight: 500;
      font-size: 16px;
      line-height: 19px;
      color: rgba(67,74,84,0.80);
      padding-left: 24px;
    }
  }
  .tgpoint--invite-body {

    .mdl-selectfield,
    .mdl-textfield {
      width: 100%;
    }

    /* Selectfield labels: */
    .mdl-textfield__label {
      font-family: $Rubik-Font;
      font-weight: 300;
      font-size: 10px;
      color: rgba(67,74,84,0.80);
      line-height: 15px;
      top: 7px;
      visibility: visible;
    }
    .mdl-textfield__label:after {
      bottom: 20px;
    }
    .mdl-textfield__input {
      font-family: $Rubik-Font;
      font-weight: 400;
      font-size: 14px;
      color: rgba(67,74,84,0.80);
      line-height: 15px;
    }

    .tgpoint--invite-data-fields {
      //padding: 8px 30px 16px 30px;
    }

    .tgpoint--invite-data-item-block {
      display: flex;
      flex-wrap: wrap;
      flex-direction: column;
      align-items: flex-start;
      justify-content: space-between;
      padding: 0 16px 0 16px;

      &:nth-last-of-type(1) {
        background: #FFFFFF;
        padding-top: 8px;
        padding-bottom: 16px;
      }

      .invite-text {
        font-family: $Rubik-Font;
        font-weight: 300;
        font-size: 12px;
        color: rgba(67,74,84,0.80);
        line-height: 16px;
      }
    }
  }
  .tgpoint--invite-footer {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
    padding: 8px 0;

    .btn {
      background-color: rgba(0, 0, 0, 0);
      box-shadow: none;

      & > p {
        font-family: Rubik;
        font-weight: 400;
        font-size: 14px;
        color: rgba(67,74,84,0.80);
      }
    }
  }
}

@media all and (min-width: 980px) {
  .tgpoint--user-invite-popup {
    left: 50%;
    margin: 0 -320px;
  }
}

@media all and (min-width: 865px) {
  .tgpoint--user-invite-popup {
    max-width: 640px;
  }
}

@media all and (min-width: 602px) {
  .tgpoint--user-invite-popup {
    .tgpoint--invite-body {
      .tgpoint--invite-data-item-block {
        display: flex;
        flex-direction: row;
        flex-flow: row;
        align-items: center;
        justify-content: space-between;
      }

      .mdl-selectfield,
      .mdl-textfield {
        max-width: 240px;
      }

      .tgpoint--invite-data-fields .tgpoint--invite-data-item-block {
        padding: 0 50px 0 72px;

        &:nth-of-type(1) {
          padding-top: 8px;
        }
        &:nth-last-of-type(1) {
          padding: 8px 30px 16px 72px;
        }
      }
      .tgpoint--invite-data-item-block .invite-text {
        width: 128px;
        font-size: 10px;
        line-height: 11px;
      }
    }
  }
}
